# Uses of Class
javax.crypto.KeyGenerator

Packages that use KeyGenerator
Package
Description
javax.crypto
Provides the classes and interfaces for cryptographic operations.

## Uses of KeyGenerator in javax.crypto

Methods in javax.crypto that return KeyGenerator
Modifier and Type
Method
Description
`static KeyGenerator`
KeyGenerator.`getInstance​(String algorithm)`
Returns a `KeyGenerator` object that generates secret keys for the specified algorithm.
`static KeyGenerator`
KeyGenerator.`getInstance​(String algorithm, String provider)`
Returns a `KeyGenerator` object that generates secret keys for the specified algorithm.
`static KeyGenerator`
KeyGenerator.`getInstance​(String algorithm, Provider provider)`
Returns a `KeyGenerator` object that generates secret keys for the specified algorithm.